Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class LaunchDomainHandler

    java.lang.Object
      com.verisign.epp.framework.EPPDomainHandler
          com.verisign.epp.serverstub.DomainHandler
              com.verisign.epp.serverstub.LaunchDomainHandler

All Implemented Interfaces:
  EPPEventHandler

    public class LaunchDomainHandler

extends DomainHandler

Extension to the standard `DomainHandler` that looks for the `EPPLaunchInf` command extension with the info command and adds the `EPPLaunchInfData` extension to the response.

Constructor Summary
`LaunchDomainHandler()` Constructs an instance of LaunchDomainHandler

Method Summary
`protected EPPEventResponse` | `doDomainCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Check command is received that includes support for the Claims Check Command with the `EPPLaunchCheck` extension.
`protected EPPEventResponse` | `doDomainCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Create command is received that includes support for the `EPPLaunchCreate` extension.
`protected EPPEventResponse` | `doDomainDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Delete command is received that includes support for the `EPPLaunchDelete` extension.
`protected EPPEventResponse` | `doDomainInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Info command is received that includes support for the `EPPLaunchInfo` extension.
`protected EPPEventResponse` | `doDomainUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Update command is received that includes support for the `EPPLaunchUpdate` extension.

Methods inherited from class com.verisign.epp.serverstub.DomainHandler
`doDomainRenew, doDomainTransfer, postHandleEvent, preHandleEvent`

Methods inherited from class com.verisign.epp.framework.EPPDomainHandler
`getNamespace, handleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LaunchDomainHandler

    public LaunchDomainHandler()

  Constructs an instance of LaunchDomainHandler

Method Detail

### doDomainCheck

    protected EPPEventResponse doDomainCheck(EPPEvent aEvent,
                                             java.lang.Object aData)

  Invoked when a Domain Check command is received that includes support for the Claims Check Command with the `EPPLaunchCheck` extension.

  Overrides:
    `doDomainCheck` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `LaunchDomainHandler`
  Returns:
    The `EPPEventResponse` that should be sent back to the client.

### doDomainInfo

    protected EPPEventResponse doDomainInfo(EPPEvent aEvent,
                                            java.lang.Object aData)

  Invoked when a Domain Info command is received that includes support for the `EPPLaunchInfo` extension. When the `EPPLaunchInfo` extension is passed, the phases `EPPLaunchPhase.PHASE_SUNRISE` and `EPPLaunchPhase.PHASE_LANDRUSH` is supported in returning a Domain Info Response with a `EPPLaunchInfData` extension.

  Overrides:
    `doDomainInfo` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `LaunchDomainHandler`
  Returns:
    The `EPPEventResponse` that should be sent back to the client.

### doDomainCreate

    protected EPPEventResponse doDomainCreate(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a Domain Create command is received that includes support for the `EPPLaunchCreate` extension. When the `EPPLaunchCreate` two different forms are supported including:
  1. Sunrise Create Form - Supported when the phase is set to `EPPLaunchPhase.PHASE_SUNRISE`. The domain name passed will drive the type of sunrise used, where if a domain name starts with "app" it will treat it as a sunrise application in `pendingCreate` status and with an application identifier returned. If a domain name starts with "reg" it will treat it as a sunrise registration in `ok` status and without an application identifier returned. This form supports the passing of mark information provided either one of the models:
     1. codeMark - Passing a code, passing a mark, or passing both a code and a mark.
     2. signedMark - Passing a digitally signed mark.
     3. encodedSignedMark - Passing a Base64 encoded digitally signed mark.
  2. Claims Create Form - Supported when the phase is set to `EPPLaunchPhase.PHASE_CLAIMS1` or `EPPLaunchPhase.PHASE_CLAIMS2` along with the claims notice information using the <launch:notice> element.

  Overrides:
    `doDomainCreate` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `LaunchDomainHandler`
  Returns:
    The `EPPEventResponse` that should be sent back to the client.

### doDomainDelete

    protected EPPEventResponse doDomainDelete(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a Domain Delete command is received that includes support for the `EPPLaunchDelete` extension. When the `EPPLaunchDelete` extension is passed, the phases `EPPLaunchPhase.PHASE_SUNRISE` and `EPPLaunchPhase.PHASE_LANDRUSH` is supported.

  Overrides:
    `doDomainDelete` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `LaunchDomainHandler`
  Returns:
    The `EPPEventResponse` that should be sent back to the client.

### doDomainUpdate

    protected EPPEventResponse doDomainUpdate(EPPEvent aEvent,
                                              java.lang.Object aData)

  Invoked when a Domain Update command is received that includes support for the `EPPLaunchUpdate` extension. When the `EPPLaunchUpdate` extension is passed, the phases `EPPLaunchPhase.PHASE_SUNRISE` and `EPPLaunchPhase.PHASE_LANDRUSH` is supported.

  Overrides:
    `doDomainUpdate` in class `DomainHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `LaunchDomainHandler`
  Returns:
    The `EPPEventResponse` that should be sent back to the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.